10  COLOR 2,0:CLS
20  LOCATE 2,25:PRINT"LM-723 VOLTAGE REGULATOR DESIGN"
30  PRINT:PRINT STRING$(79,"+")
40  PRINT:PRINT"     REFER TO THE DATA BEGINNING ON PAGE 1-110 OF [THE LINEAR HANDBOOK]":PRINT:PRINT"        FOR THE CIRCUIT DESIGN AND DETAILED OPERATING LIMITS."
50  PRINT:PRINT"                    V OUT = V IN -5 VOLTS MINIMUM."
60  PRINT:PRINT"                     MAXIMUM INPUT VOLTAGE IS 40"
70  PRINT:PRINT"                   MAXIMUM OUTPUT CURRENT IS 150 ma."
75  PRINT:PRINT"    AN ALTERNATE REFERENCE IS RADIO SHACK'S ENGINEERING NOTEBOOK II"
76  PRINT:PRINT"                   BY FORREST M. MIMS III PAGE 74"
77  PRINT:PRINT"           SCHEMATIC DIAGRAMS & SPECIFIC FORMULAE ARE IN BOTH"
80  LOCATE 22,33:PRINT"PRESS <ENTER>"
90  A$=INKEY$:IF A$= "" THEN 90
100  IF A$ <> CHR$(13) THEN 90
110  COLOR 15,0:CLS
120  PRINT
130  PRINT
140  PRINT
150  PRINT
160  INPUT "ENTER V IN ";VI:PRINT
170  IF VI<9.5 OR VI> 40 THEN GOTO 320
180  INPUT"ENTER OUTPUT VOLTAGE DESIRED ";OV
185  IF VI-5 <OV THEN GOTO 320
190  IF OV<7 THEN GOTO 360
200  IF OV=7 OR OV>7 THEN GOTO 1000
210  COLOR 15,9:PRINT:PRINT"FOR AN OUTPUT VOLTAGE OF ";OV;" MAKE R1= ";:PRINT USING"##.##";R1;:PRINT" & R2= ";:PRINT USING "##.##";R2;:PRINT" K OHMS"
220  R3= (R1*R2)/(R1+R2)
230  PRINT:PRINT"R3= ";:PRINT USING "##.##";R3;:PRINT" K OHMS FOR MINIMUM TEMPERATURE DRIFT OR MAY BE OMITTED"
240  PRINT:PRINT"Rsc= 10 OHMS FOR AN OUTPUT CURRENT OF 65 ma"
245  PRINT:INPUT"DO YOU WANT A DIFFERENT OUTPUT CURRENT MAXIMUM Yes/No?";C$:PRINT
246  IF C$= "Y" OR C$= "y" THEN 2000
247  IF C$= "N" OR C$= "n" THEN 250
250  PRINT"REFER TO PROGRAM [1%RES] ON THIS DISK FOR AVAILABLE PRECISION RESISTOR VALUES"
251  LOCATE 22,33:PRINT"PRESS <ENTER>"
260  A$=INKEY$:IF A$= "" THEN 260
270  CLS:LOCATE 12.33:PRINT"DO ANOTHER Y/N"
280  A$=INKEY$: IF A$= "" THEN 280
290  IF A$="Y" OR A$= "y" THEN RUN
300  IF A$="N" OR A$= "n" THEN COLOR 15,0:CLS
310  LOCATE 12,33:PRINT"PROGRAM ENDED":FOR X=1 TO 1500:NEXT X
320  RUN "MAINMENU"
330  LOCATE 12,5:PRINT"THE PARAMETERS YOU HAVE CHOSEN ARE BEYOND THE NORMAL LIMITS OF THE LM-723!"
340  LOCATE 14.5:PRINT"    REFER TO THE LINEAR HANDBOOK PAGE 1-110 FOR GUIDANCE."
350  LOCATE 22,33:PRINT"PRESS [SPACE BAR]"
355  A$=INKEY$:IF A$= "" THEN 355
356  IF A$<>CHR$(32) THEN 355 ELSE RUN
360  CLS:PRINT"THE FOLLOWING CALCULATED RESISTORS ARE CONNECTED IN SERIES BETWEEN PINS 6-5-GND.":PRINT
365  PRINT STRING$(79,"*"):PRINT
370  IF OV= 3 THEN GOTO 420
380  IF OV= 3.6 THEN GOTO 440
390  IF OV= 5 THEN GOTO 460
400  IF OV= 6 THEN GOTO 480
410  GOTO 500
420  R1= 4.12: R2= 3.01
430  GOTO 210
440  R1= 3.57: R2= 3.65
450  GOTO 210
460  R1= 2.15: R2= 4.99
470  GOTO 210
480  R1= 1.15: R2= 6.04
490  GOTO 210
500  PRINT:PRINT"THE VOLTAGE YOU HAVE SELECTED REQUIRES SOME INPUTS FOR CALCULATION":PRINT
510  R2= 1.00458*OV
520  R1=((7.15*R2)-(OV*R2))/OV
530  GOTO 210
1000  IF OV= 9 THEN GOTO 1500
1010  IF OV= 12 THEN GOTO 1600
1020  IF OV= 15 THEN GOTO 1700
1030  IF OV= 28 THEN GOTO 1800
1040  GOTO 1850
1500  R1=1.87:R2=7.15
1510  GOTO 3000
1600  R1=4.87:R2=7.15
1610  GOTO 3000
1700  R1=7.87:R2=7.15
1710  GOTO 3000
1800  R1=21:R2=7.15
1810  GOTO 3000
1850  R2=7.15
1851  R1= ((OV*R2)-(7.15*R2))/7.15
1870  GOTO 3000
2000  INPUT"ENTER DESIRED MAXIMUM CURRENT [<150 ma] ";I
2010  RS=0.66/(I*0.000999999)
2020  PRINT:PRINT"Rs= ";:PRINT USING "##.#";RS;:PRINT" OHMS FOR A CURRENT OF ";I;" ma"
2030  GOTO 250
3000  PRINT:PRINT"THE FOLLOWING CALCULATED RESISTORS ARE CONNECTED IN SERIES BETWEEN PINS 3-4-GND.":PRINT
3010  PRINT STRING$(79,"*")
3020  GOTO 210
