10  CLS
20  'This is a coil design program by'
30  'Harry L. Rosier - K4LBF
40  'Final design November 5,1980
50  'Revised from CP/M to TRSDOS Basic for Model 3
60  '  by Gary L. Phillips - KA9NZI
170  PRINT TAB(12)"COIL DESIGN":PRINT:PRINT
175  PRINT TAB(3)"BY HARRY L. ROSIER - K4LBF":PRINT:PRINT
180  PRINT"THIS PROGRAM IS SELF EXPLANATORY BUT
190  PRINT"WOULD YOU LIKE A BRIEF DESCRIPTION?
200  PRINT"PLEASE ANSWER (Y OR N )":INPUT D$
210  PRINT
220  IF D$="Y" THEN GOSUB 1720
230  PRINT:PRINT
240  IF D$="N" THEN GOTO 280
250  PRINT"           TO CONTINUE, PRESS ANY KEY";
260  A$=INKEY$ :IF A$="" THEN 260:
270  FOR I=1 TO 100:NEXT I
280  CLS
290  PRINT"1. DESIGN OF THE COIL MUST MEET"
300  PRINT"   THE FOLLOWING CRITERIA:"
320  PRINT"       75 MICROHENRIES MAX. INDUCTANCE"
330  PRINT"       .2 MICROHENRIES MIN. INDUCTANCE"
340  PRINT"        8 GAGE MAX. WIRE SIZE"
350  PRINT"       40 GAGE MIN. WIRE SIZE"
360  PRINT"      (FOR 1/4 INCH TUBING - USE SIZE 0)"
380  PRINT"2. RESISTORS CAN BE USED AS COIL FORMS,"
390  PRINT"   AND MUST BE COMPOSITION TYPE HAVING"
400  PRINT"   THE FOLLOWING DIMENSIONS"
420  PRINT"      1. 1/2 WATT - .14 X .38 INCHES"
430  PRINT"      2. 1   WATT - .22 X .58 INCHES"
440  PRINT"      3. 2   WATT - .30 X .70 INCHES"
450  PRINT"      ( THESE ARE STANDARD RESISTOR SIZES)"
460  PRINT"3. OR, SELECT YOUR OWN DIAMETER FORM"
470  PRINT"            TO CONTINUE PRESS ANY KEY";
480  A$="0":A$=INKEY$:IF A$="" GOTO 480
490  CLS
500  PRINT"DO YOU WISH TO BEGIN WITH":PRINT
510  PRINT"1 - INDUCTANCE IN MICROHENRIES, OR"
520  PRINT"2 - INDUCTIVE REACTANCE"
530  PRINT
540  INPUT S:PRINT
550  IF S=1 THEN 660:IF S=2 THEN 570
560  IF S<1 OR S>2 THEN PRINT"ANSWER 1 OR 2 PLEASE":GOTO 540
570  INPUT"WHAT IS THE DESIRED INDUCTIVE REACTANCE IN OHMS";XL:PRINT
580  INPUT"WHAT FREQUENCY IN MEGAHERTZ";F:PRINT
590  L=XL/(2*3.14159*F)
600  L$=STR$(L)
610  PRINT"REQUIRED INDUCTANCE=";LEFT$(L$,5)
620  PRINT"MICROHENRIES"
630  IF L<0.2 OR L>75 THEN GOTO 570
640  GOTO 690
650  FOR X=1 TO 16:PRINT"":NEXT
660  INPUT"WHAT IS THE DESIRED COIL INDUCTANCE IN MICROHENRIES";L:PRINT
670  IF L>75 THEN PRINT"75 MICRO - MAX. PLEASE REENTER":GOTO 660
680  IF L<0.2 THEN PRINT"0.2 MICROHENRIES MIN. - PLEASE REENTER":GOTO 660
690  PRINT"SELECT COIL FORM"
700  PRINT"   1-1/2 W RESISTOR"
710  PRINT"   2-1   W RESISTOR"
720  PRINT"   3-2   W RESISTOR"
730  PRINT"   4-  OTHER FORM"
740  PRINT
750  INPUT A
760  IF A<1 OR A>4 THEN 750
770  IF A=1 THEN D=0.14
780  IF A=2 THEN D=0.22
790  IF A=3 THEN D=0.3
800  IF A=4 THEN 820
810  IF A=<3 THEN 850
820  PRINT"WHAT IS THE DIAMETER OF THE"
830  PRINT"COIL IN INCHES?"
840  PRINT:INPUT D
850  INPUT"WHAT GAGE ENAMELED WIRE IS TO BE USED ";G
860  IF G=0 THEN W=0.25
870  IF G=8 THEN W=0.131
880  IF G=9 THEN W=0.116
890  IF G=10 THEN W=0.104
900  IF G=11 THEN W=0.093
910  IF G=12 THEN W=0.083
920  IF G=13 THEN W=0.074
930  IF G=14 THEN W=0.067
940  IF G=15 THEN W=0.06
950  IF G=16 THEN W=0.053
960  IF G=17 THEN W=0.047
970  IF G=18 THEN W=0.042
980  IF G=19 THEN W=0.038
990  IF G=20 THEN W=0.034
1000  IF G=21 THEN W=0.03
1010  IF G=22 THEN W=0.027
1020  IF G=23 THEN W=0.024
1030  IF G=24 THEN W=0.0216
1040  IF G=25 THEN W=0.0193
1050  IF G=26 THEN W=0.0172
1060  IF G=27 THEN W=0.0154
1070  IF G=28 THEN W=0.0138
1080  IF G=29 THEN W=0.0122
1090  IF G=30 THEN W=0.011
1100  IF G= 31 THEN W=0.0099
1110  IF G=32 THEN W=0.00885
1120  IF G=33 THEN W=0.0079
1130  IF G=34 THEN W=0.007
1140  IF G=35 THEN W=0.0063
1150  IF G=36 THEN W=0.0057
1160  IF G=37 THEN W=0.005
1170  IF G=38 THEN W=0.0045
1180  IF G=39 THEN W=0.004
1190  IF G=40 THEN W=0.0035
1200  IF G>40 THEN 850
1210  N=((40*L*W)+SQR((1600*W^2*L^2)+(72*D^2*L)))/(2*D^2)
1220  N1=((40*L*W)-SQR((1600*W^2*L^2)+(72*D^2*L)))/(2*D^2)
1230  IF N>N1 THEN N2=N
1240  IF N<=N1 THEN N2=N1
1250  N2=(INT(N2*10))/10
1260  CLS
1270  PRINT"WIRE SIZE=";G;" GAGE"
1280  PRINT"COIL DIA.=";D;" INCHES"
1290  PRINT"NUMBER OF TURNS= ";N2
1300  PRINT'COIL LENGTH=";(INT(N2*W*100))/100;" INCHES":?
1310  R=INT(N2*W*100/D)/100
1320  IF A=1 THEN 1400
1330  IF A=2 THEN 1500
1340  IF A=3 THEN 1520
1350  PRINT"THE LENGTH TO DIA. RATIO IS"
1360  PRINT R
1370  IF A=4 THEN GOSUB 1540
1380  PRINT:PRINT:PRINT
1390  PRINT"SELECT ANOTHER FORM AND/OR DIFFERENT "
1400  PRINT"SIZE WIRE?":
1410  INPUT"(Y OR N)";C$
1420  IF C$="Y" THEN 500
1430  INPUT"DESIGN ANOTHER COIL?(Y OR N)";B$
1440  IF B$ ="Y" THEN 500
1450  PRINT:PRINT:
1460  PRINT"O.K. GOOD LUCK ON YOUR PROJECT !!"
1470  CLS:PRINT"WHAT NOW "
1471  PRINT:PRINT"RETURN TO MAIN MENU.................1"
1472  PRINT:PRINT"RETURN TO BASIC.....................2"
1473  PRINT:PRINT"RETURN TO MS-DOS....................3"
1474  PRINT:INPUT"SELECT ";C
1475  ON C GOTO 20000,20010,20020
1476  GOTO 1470
1480  IF N2*W>0.385 THEN PRINT"COIL TO LONG FOR 1/2 W FORM":GOTO 1390
1490  IF N2*W<=0.385 THEN GOTO 1350
1500  IF N2*W>0.525 THEN PRINT"COIL TO LONG FOR 1W FORM":GOTO 1390
1510  IF N2*W<=0.525 GOTO 1350
1520  IF N2*W>0.65 THEN PRINT"COIL TO LONG FOR 2W FORM":GOTO 1390
1530  IF N2*W<=0.65 GOTO 1350
1540  PRINT"WOULD YOU LIKE TO SELECT THE LENGTH"
1550  INPUT"FOR A SPACE WOUND COIL (Y OR N)";Z$
1560  IF Z$="N" THEN GOTO 1430
1570  SL=(INT(N2*W*100))/100
1580  PRINT"THE LENGTH MUST BE GREATER THEN";SL
1590  PRINT"INCHES,  NEW LENGTH"
1600  INPUT NL
1610  N2=INT((SQR((L*(4*5*D+10*NL)/((D/2)+2))))*100+0.5)/100
1620  FOR X=1 TO 14:PRINT"":NEXT
1630  PRINT"WIRE SIZE=";G;" GAGE"
1640  PRINT"COIL DIA.=";D;" INCHES"
1650  PRINT"NUMBER OF TURNS=";N2
1660  PRINT"COIL LENGTH=";NL;"INCHES"
1670  RETURN
1680  END
1720  PRINT"THE PROGRAM IS TO BE USED TO DESIGN "
1730  PRINT"SINGLE LAYER SOLENOIDS ON STANDARD"
1740  PRINT"RESISTOR FORMS OR ON A FORM HAVING A "
1750  PRINT"DIAMETER OF YOUR CHOOSING."
1770  PRINT"THE INDUCTANCE FORMULA IS FROM THE"
1780  PRINT"RADIO AMATEUR'S HANDBOOK."
1800  PRINT"THIS FORMULA IS TRANSPOSED TO DETERMINE"
1810  PRINT"THE NUMBER OF TURNS REQUIRED, AND THE"
1820  PRINT"RESULTING QUADRATIC IS SOLVED USING THE"
1830  PRINT"CLASSICAL EQUATION"
1850  PRINT"YOU DECIDE THE SIZE OF THE COIL FORM, THE"
1860  PRINT"INDUCTANCE, OR INDUCTIVE REACTANCE, AND"
1870  PRINT"THE WIRE SIZE -"
1900  PRINT:PRINT"TO CONTINUE PRESS ANY KEY";
1910  Z$="0":Z$=INKEY$:IF Z$="" THEN 1910:
1920  CLS:PRINT"IF THE COIL SIZE/WIRE SIZE COMBINATION"
1930  PRINT"WON'T FIT ON THE RESISTOR FORM CHOSEN"
1940  PRINT"THEN THE COMPUTER WILL TELL YOU SO AND"
1950  PRINT"ASK FOR ANOTHER CHOICE."
1970  PRINT"IF YOU CHOOSE THE COIL DIAMETER, THEN"
1980  PRINT"THE LENGTH CAN BE WHATEVER IS NECESSARY.":PRINT
1990  PRINT"THE COMPUTER WILL ALSO TELL YOU THE"
2000  PRINT"LENGTH TO DIAMETER RATIO AND ASK IF YOU"
2010  PRINT"WOULD LIKE THE NUMBER OF TURNS FOR A"
2020  PRINT"SPACE WOUND COIL OF SPECIFIED LENGTH."
2030  RETURN
20000  RUN"MAINMENU"
20010  CLS:NEW
20020  SYSTEM
