1  CLS
2  REM   FEEDLINE LOSS & EFFECTIVE RADIATED POWER PROGRAM
3  REM   CODED BY BILL FORD
4  REM   TYPED BY W8RZG ------- ARC E'D & EDITED TO RUN BY K4EDE
5  FOR S=1 TO 32:PRINT"=";:NEXT S:PRINT"THIS PACKAGE IS OF PARTICULAR INTEREST TO YOU IF YOU ARE DESIGNING AN ANTENNA   SYSTEM FOR AN AMATEUR OR COMMERCIAL INSTALLATION.":PRINT
6  PRINT"YOU WILL BE ABLE TO COMPARE VARIOUS COMBINATIONS OF ANTENNA-FEEDLINE TYPES TO   OBTAIN THE MOST PRACTICAL EFFECTIVE RADIATED POWER FOR THE TYPE OF ANTENNA OR   FEEDLINE IN PROGRAM /A/.":PRINT
7  PRINT"PROGRAM /B/ ALLOWS YOU TO DETERMINE EXACTLY HOW MUCH LOSS IN DB CAN BE ALLOWED  FOR A PARTICULAR ERP OUTPUT":FOR S=1 TO 31:PRINT"=";:NEXT S:PRINT
8  INPUT"DO YOU WANT TO RUN A OR B";A$:CLS
9  FOR S=1 TO 64:PRINT"=";:NEXT S
10  IF A$="B"THEN GOTO 110
11  PRINT"THIS PROGRAM COMPUTES THE EFFECTIVE RADIATED PWR"
12  PRINT
13  PRINT"AS WELL AS THE FEEDLINE LOSS OF ANY TRANSMITTER-"
14  PRINT
15  PRINT"ANTENNA SYSTEM, BASED ON XMTR OUTPUT POWER,"
16  PRINT
17  PRINT"FEEDLINE AND ANTENNA EFFICIENCY"
18  FOR S=1 TO 64:PRINT"=";:NEXT S
19  PRINT:PRINT:INPUT"DO YOU NEED INSTRUCTIONS (Y)es/(N)o ";A$
20  IF A$= "Y" OR A$= "y" THEN 55
21  GOSUB 67
22  CLS:INPUT"WHAT IS THE TRANSMITTER OUTPUT POWER";TP
23  PRINT:PRINT:INPUT"HOW MANY FEET OF FEEDLINE DO YOU PLAN ON USING";FL
24  REM  IF INTERPOLATION WAS USED THE STEP ASKING FOR FEED-LINE LOSS IS OMMITTED.  VALUE LL IS USED DIRECTLY
25  IF LL<>0 THEN 27
26  PRINT:PRINT:INPUT" WHAT IS THE LOSS IN DB/100 FT   OF YOUR FEEDLINE";LL
27  PRINT:PRINT:INPUT"WHAT IS THE GAIN OF YOUR ANTENNA SYSTEM IN DB (IF UNITY GAIN DB GAIN IS 0)";AG
28  REM   CALCULATE TOTAL LOSS FOR ENTIRE LENGTH OF CABLE
29  L=FL/100*LL
30  L1=L
31  GOSUB 83
32  PL=P1
33  REM  CALCULATES ERP AFTER FIRST DETERMINING POWER DELIVEREDTO ANTENNA
34  PA=TP-P1
35  L=AG
36  GOSUB 83
37  CLS:PRINT:PRINT
38  PRINT" TRANSMITTER OUTPUT..";TP;"WATTS"
40  PRINT" FEEDLINE LENGTH.....";FL;"FEET"
42  PRINT" LOSS/100 FT.........";LL;"DB"
44  PRINT" LOSS OF ENTIRE RUN..";L1;"DB"
46  PRINT" LOSS OF ENTIRE RUN..";PA;"WATTS"
48  PRINT" POWER TO ANTENNA....";PL;"WATTS"
50  PRINT" ERP.................";E;"WATTS"
51  PRINT
52  LL=0:INPUT" DO YOU WANT ANOTHER CALCULATION";A$
53  IF LEFT$(A$,1)="Y" THEN GOSUB 67:GOTO 22
54  GOTO 109
55  CLS:FOR S=1 TO 31:PRINT"=";:NEXT S :PRINT"YOU WILL BE ASKED TO ENTER VARIOUS OPERATION PARAMETERS ";
56  PRINT"OF YOUR PROPOSED TRANSMITTING SYSTEM. THESE WILL BE: ";
57  PRINT"TRANSMITTER OUTPUT POWER; LENGTH OF FEEDLINE; FEEDLINE ";
58  PRINT"LOSS AT OPERATING FREQUENCY IN DB/100 FT; & ANTENNA GAIN IN DB.";
60  PRINT"ENTER ALL FREQUENCIES IN MHZ. FOR YOUR CONVENIENCE AN ABBREVIATED TABLE OF MORE COMMON COAX TYPES AND LOSSES IS GIVEN. ";
61  PRINT"USE THIS TABLE,OR ANY SIMILIAR TABLE FOR YOUR CALCULATIONS.";
62  PRINT"AN OPTION WHICH ALLOWS YOU TO INTERPOLATE FROM THE TABLE IS ALSO INCLUDED";
63  FOR S=1 TO 5:PRINT"=";:NEXT S:PRINT
64  PRINT:INPUT"PRESS ENTER TO CONTINUE";A$
65  GOSUB 67
66  GOTO 22
67  CLS:PRINT"LOSSES OF COMMONLY USED COAX IN DB/100 FT"
68  PRINT:PRINT
69  GOSUB 71
70  GOTO 79
71  PRINT"TYPE  1MHZ  10  100   400  1000   ":PRINT"9913            1.9   2.1   4.5"
72  PRINT"RG17  .06  .24   .95  2.4   4.4
73  PRINT"RG-8  .16  .55  2.0   4.5   8.5
74  PRINT"RG-11 .18  .62  2.2   4.7   8.5
75  PRINT"RG-58 .38 1.4   5.2  11.2  20.0
76  PRINT"RG-59 .30 1.1   3.8   8.5  14.0
77  PRINT"AIR   .02  .058  .19   .35   .60
78  RETURN
79  PRINT:PRINT"VALUES FOR OTHER FREQUENCIES CAN BE OBTAINED BY INTERPOLATION"
80  INPUT"DO YOU NEED TO INTERPOLATE FROM THE TABLE";A$
81  IF LEFT$(A$,1)= "Y" THEN GOSUB 91
82  RETURN
83  REM    CALCULATE ACTUAL LOSS FROM DB VALUES
84  REM    FIRST OBTAIN LOG FROM DB BY DIVIDING BY 10
85  L=L/10
86  REM   ANTILOG OF "L"
87  AL=10^L
88  P1=TP/AL
89  E=AL*PL:E=E/10
90  RETURN
91  REM   INTERPOLATION SUBROUTINE
92  CLS:PRINT:PRINT:INPUT"WHAT IS OPERATING FREQUENCY";OF:CLS
93  GOSUB 71
94  PRINT:PRINT:INPUT"WHAT IS CLOSEST FREQUENCY BELOW OPERATING FREQUENCY LISTED IN TABLE";LF
95  CLS:GOSUB 71
96  PRINT:PRINT:INPUT"WHAT IS THE NEXT HIGHER FREQUENCY LISTED";HF
97  CLS:GOSUB 71
98  PRINT:PRINT:INPUT"GIVE LOSS AT NEXT LOWER FREQUENCY";L1
99  CLS:GOSUB 71
100  PRINT:PRINT:INPUT"GIVE LOSS AT NEXT HIGHER FREQUENCY";L2
101  FD=HF-LF
102  LD=L2-L1
103  OD=OF-LF
104  OL=OD*LD/FD
105  LL=OL+L1
106  CLS:PRINT"LOSS OF TRANSMISSION LINE AT";OF;"MHZ IS";LL;"DB/100 FT"
107  FOR W=1 TO 1500:NEXT W
108  RETURN
109  CLS:PRINT:PRINT:PLAY "BCBCBC":PRINT"ARE YOU SURE? A (Y)es WILL CLEAR PROGRAM";:INPUT C$
110  IF C$= "y" OR C$= "Y" THEN CLS:GOTO 200
111  CLS:GOTO 22
200  LOCATE 12,25:PRINT"WHAT IS YOUR DESIRE?"
201  LOCATE 14,25:PRINT"RETURN TO MAIN MENU..................1"
202  LOCATE 15,25:PRINT"RETURN TO BASIC......................2"
203  LOCATE 16,25:PRINT"RETURN TO MS-DOS.....................3"
204  LOCATE 18,25:INPUT"SELECT ";C
205  IF C>3 THEN 200:ON C GOTO 210,109,109
210  CLS:RUN"MAINMENU"
